﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Drawing;
using GTA;
using GTA.Native;


public class GTAScript : Script
{

    float MAXDIST = 60.0f; //Max distance to process
    Keys AKEY = Keys.NumPad0; //Activation key Can changue it to Keys.F7 for example
    
    Ped player;
    Boolean on = false;
    Ped[] nearPeds;

   
    public GTAScript()
    {
        Tick += OnTick;
        KeyDown += OnKeyDown;
        KeyUp += OnKeyUp;

        Interval = 100;

        

    }

    private void OnTick(object sender, EventArgs e)
    {
       
        if (on)
        {

            player = Game.Player.Character;

            //Peds that are near player. I use player.ForwardVector as a lenght unit.
            nearPeds = World.GetNearbyPeds(player, player.ForwardVector.Length() * MAXDIST);
            
            foreach (Ped p in nearPeds)
            {
                p.CanRagdoll = false;
            }



        }
        



    }

    private void OnKeyDown(object sender, KeyEventArgs e)
    {

    }

    private void OnKeyUp(object sender, KeyEventArgs e)
    {
        if (e.KeyCode == AKEY)
        {
          
         

          if (!on)
          {
              
              player = Game.Player.Character;
              on = true;
              UI.ShowSubtitle("No Ragdoll: ON");
          }
          else
          {
              on = false;

              nearPeds = World.GetNearbyPeds(player, player.ForwardVector.Length() * MAXDIST);
              foreach (Ped p in nearPeds)
              {
                  p.CanRagdoll = true;
              }

              UI.ShowSubtitle("No Ragdoll: OFF");
          }

        }
        
    }

   

   




    

    

    

}

